Đến nội dung


Hình ảnh

hoi lien ket DCL-AutoLisp.......


  • Please log in to reply
29 replies to this topic

#21 DesignAutoLisp

DesignAutoLisp

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 August 2014 - 06:19 AM

vậy giờ e ẩn khoảng 100 đối tượng mà giờ e muốn hiện lên tất cả thì thế nào..............và làm thế nào để biết được các của đối tượng đã ẩn đi trước đó để dùng hàm vla-ename->vlax-object chuyển sang đối tượng vla

thkssssssss...!!!!!!


  • 0

#22 DesignAutoLisp

DesignAutoLisp

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 August 2014 - 06:26 AM

vậy giờ e ẩn khoảng 100 đối tượng mà giờ e muốn hiện lên tất cả thì thế nào..............và làm thế nào để biết được các của đối tượng đã ẩn đi trước đó để dùng hàm vla-ename->vlax-object chuyển sang đối tượng vla

thkssssssss...!!!!!!


  • 0

#23 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 04 August 2014 - 07:35 AM

Nếu bạn không lưu những cái đã ẩn vào 1 cái list thì chỉ có cách (ssget "X") rồi xem từng cái = vla-get-Visible, cái nào = 0 thì cho = 1.


  • 0

#24 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 04 August 2014 - 10:23 AM

Nếu bạn không lưu những cái đã ẩn vào 1 cái list thì chỉ có cách (ssget "X") rồi xem từng cái = vla-get-Visible, cái nào = 0 thì cho = 1.

 

Dùng mã dxf 60 để chọn những cái bị ẩn (ssget "X" '((60 . 1)))

Duyệt qua từng đối tượng rồi cho hiện lên


  • 0

#25 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 04 August 2014 - 11:40 AM

Vấn đề mà người đặt câu hỏi đưa ra là: hiện lại 1 số thằng đã ẩn. Vậy, bạn không biết họ tên thằng nào đã ẩn thì làm sao chỉ đich danh nó để hiện? Hiện tất cả thì dễ nhưng hiện "1 số thằng" thì phải chỉ ra chúng là những thằng nào chứ, phải không chủ topic?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#26 DesignAutoLisp

DesignAutoLisp

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 August 2014 - 01:52 PM

thks cả nhà...mình thấy dùng hàm (ssget "x") chon và cho giá trị hàm vla-put-visible bằng 1 thì hiện tất cả..ok..thks


  • 0

#27 DesignAutoLisp

DesignAutoLisp

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 August 2014 - 05:44 PM

cả nhà cho e hỏi cách tạo menu tự tạo cho cad bằng lisp và vba là như thế nào được không ạ?

thksssssssssssss cả nhà


  • 0

#28 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 31 August 2014 - 06:44 PM

cả nhà cho e hỏi cách tạo menu tự tạo cho cad bằng lisp và vba là như thế nào được không ạ?

thksssssssssssss cả nhà

Cách là:

Viết file *.mnu, sau đó load nó lên.

Còn viết như thế nào và load như thế nào thì vì câu hỏi của bạn quá vĩ mô nên không biết đường lần.

Tỉ như bạn hỏi thầy thuốc: cần phải làm sao để chữa lành bệnh vậy?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#29 DesignAutoLisp

DesignAutoLisp

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 August 2014 - 09:50 PM

anh cho vi dụ được không??

thksss


  • 0

#30 DesignAutoLisp

DesignAutoLisp

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 August 2014 - 09:51 PM

anh cho ví dụ viết bằng lisp và vba luôn nhé... thks anh..


  • 0